<!-- templates/change_head.html -->
{% extends 'base.html' %}

{% block title %} 修改头像 {% endblock %}

{% block head %}
{{ super() }}
<script type="text/javascript">
    function fileChange(target) {
        var filemaxsize = 1024 * 1;//2M   

        var fileSize = target.files[0].size;

        var size = fileSize / 1024;
        if (size > filemaxsize) {
            alert("图片大小不能大于" + filemaxsize / 1024 + "M！");
            target.value = "";
            return false;
        }
    }   
</script>
{% endblock %}

{% block page_header %}
{{ super() }}
{% endblock %}

{% block content %}
<div class="page-wrap single shop">
    <!-- Breadcrumbs -->
    <div class="page-content">
        <main class="main-content">
            <!--下面是用户名输入框-->
            <div class="container">
                <div class="row">
                    <div class="form-container">
                        <form class="form-horizontal" action="" enctype='multipart/form-data' method='POST'>
                            <div class="form-group">
                                <label><input type="file" name="file" onchange="fileChange(this);" /></label>
                            </div>

                            <div class="form-group">
                                <button type="submit" class="btn btn-default" onchange="fileChange(this);">上传图片</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </main>
    </div>
</div>
{% endblock %}

{% block page_footer %}
{{ super() }}
{% endblock %}

{% block search_wrap %}
{{ super() }}
{% endblock %}